org.springframework.core.type

## Interface MethodMetadata

- All Superinterfaces:
    AnnotatedTypeMetadata
  All Known Implementing Classes:
    MethodMetadataReadingVisitor, StandardMethodMetadata

      public interface MethodMetadata
      extends AnnotatedTypeMetadata

  Interface that defines abstract access to the annotations of a specific class, in a form that does not require that class to be loaded yet.
  Since:
    3.0
  Author:
    Juergen Hoeller, Mark Pollack, Chris Beams, Phillip Webb
  See Also:
    `StandardMethodMetadata`, `AnnotationMetadata.getAnnotatedMethods(java.lang.String)`, `AnnotatedTypeMetadata`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeclaringClassName()` Return the fully-qualified name of the class that declares this method.
    `String` | `getMethodName()` Return the name of the method.
    `boolean` | `isFinal()` Return whether the underlying method is marked as 'final'.
    `boolean` | `isOverridable()` Return whether the underlying method is overridable, i.e.
    `boolean` | `isStatic()` Return whether the underlying method is declared as 'static'.

    - ### Methods inherited from interface org.springframework.core.type.AnnotatedTypeMetadata

      `getAllAnnotationAttributes, getAllAnnotationAttributes, getAnnotationAttributes, getAnnotationAttributes, isAnnotated`

- - ### Method Detail

    - #### getMethodName

          String getMethodName()

      Return the name of the method.

    - #### getDeclaringClassName

          String getDeclaringClassName()

      Return the fully-qualified name of the class that declares this method.

    - #### isStatic

          boolean isStatic()

      Return whether the underlying method is declared as 'static'.

    - #### isFinal

          boolean isFinal()

      Return whether the underlying method is marked as 'final'.

    - #### isOverridable

          boolean isOverridable()

      Return whether the underlying method is overridable, i.e. not marked as static, final or private.